Name:          littleproxy
Version:       0.4
Release:       10%{?dist}
Summary:       High Performance HTTP Proxy
License:       ASL 2.0
URL:           http://www.littleshoot.org/littleproxy/
# git clone git://github.com/adamfisk/LittleProxy.git littleproxy-0.4
# cd littleproxy-0.4 &&  git archive --format=tar --prefix=littleproxy-0.4/ littleproxy-0.4 | xz > ../littleproxy-0.4-src-git.tar.xz
Source0:       %{name}-%{version}-src-git.tar.xz
# add netty 3.5.x support
Patch0:        %{name}-%{version}-netty3.patch

BuildRequires: sonatype-oss-parent
BuildRequires: apache-commons-codec
BuildRequires: apache-commons-io
BuildRequires: apache-commons-lang
BuildRequires: ehcache-core
BuildRequires: log4j12
BuildRequires: netty3
BuildRequires: slf4j
BuildRequires: mvn(org.slf4j:slf4j-api)
BuildRequires: mvn(org.slf4j:slf4j-log4j12)

# test deps
BuildRequires: junit

BuildRequires: maven-local
BuildRequires: maven-enforcer-plugin
BuildRequires: maven-surefire-provider-junit

Requires:      log4j12

BuildArch:     noarch

%description
LittleProxy is a high performance HTTP proxy written in Java and
using the Netty networking framework.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q
%patch0 -p1
%pom_remove_plugin :maven-assembly-plugin
%pom_remove_plugin org.apache.maven.plugins:maven-gpg-plugin

%pom_xpath_remove "pom:build/pom:extensions"
%pom_xpath_set "pom:dependencies/pom:dependency[pom:artifactId = 'netty']/pom:version" 3

%mvn_file :%{name} %{name}

%build

%mvn_build

%install
%mvn_install

%files -f .mfiles
%license COPYRIGHT.txt LICENSE.txt

%files javadoc -f .mfiles-javadoc
%license COPYRIGHT.txt LICENSE.txt

%changelog
* Thu Feb 12 2015 gil cattaneo <puntogil@libero.it> 0.4-10
- rebuilt with netty3.9.3

* Tue Feb 10 2015 gil cattaneo <puntogil@libero.it> 0.4-9
- introduce license macro

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri Mar 28 2014 Michael Simacek <msimacek@redhat.com> - 0.4-7
- Use Requires: java-headless rebuild (#1067528)

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Mon Jul 08 2013 gil cattaneo <puntogil@libero.it> 0.4-5
- switch to XMvn
- minor changes to adapt to current guideline

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Feb 06 2013 Java SIG <java-devel@lists.fedoraproject.org> - 0.4-3
- Update for https://fedoraproject.org/wiki/Fedora_19_Maven_Rebuild
- Replace maven BuildRequires with maven-local

* Wed Aug 22 2012 gil cattaneo <puntogil@libero.it> 0.4-2
- Adapted for f17, added PATCH1

* Sun Aug 05 2012 gil cattaneo <puntogil@libero.it> 0.4-1
- initial rpm
